import objectEntries from "../polyfills/objectEntries.mjs";

/**
 * Creates an object map with the same keys as `map` and values generated by
 * running each value of `map` thru `fn`.
 */
export default function mapValue(map, fn) {
  const result = Object.create(null);

  for (const [key, value] of objectEntries(map)) {
    result[key] = fn(value, key);
  }

  return result;
}
